PHP Soporte Ampliado

En este artículo encontrarás la información más importante respecto a nuestro servicio de pago PHP Soporte Ampliado.

¿Qué es el PHP Soporte Ampliado?

PHP es un lenguaje de programación muy potente que se utiliza para crear sitios web dinámicos. Sistemas de gestión de contenidos (CMS) tan populares como WordPress, Drupal o Joomla! se basan en PHP.

La Community de PHP publica regularmente versiones actualizadas y optimizadas de PHP y, en cierto momento, deja de prestar soporte a las versiones anteriores. Las versiones más antiguas se quedan sin actualizaciones de seguridad, por lo que no deberían seguir usándose.

Para que tengas suficiente tiempo para actualizar tu versión de PHP, en IONOS te ofrecemos el servicio PHP Soporte Ampliado. Con este servicio pretendemos garantizar tu presencia online ininterrumpida, así como evitar que tu sitio web sea vulnerable frente a los hackers.

En el marco del soporte extendido de PHP, IONOS pone a tu disposición expertos en seguridad para garantizar que los agujeros de seguridad se vuelven a cerrar inmediatamente. Tus proyectos y scripts de PHP están seguros frente a ataques hasta que te decidas por cambiar a la versión más actual de PHP.

El mantenimiento de las versiones antiguas de PHP implica un mayor esfuerzo de administración en nuestros sistemas. Por eso, este servicio adicional tiene un coste mensual.

¿Qué versiones de PHP están afectadas?

La Community de PHP ya dejó de prestar soporte para las versiones PHP 4.0, PHP 5.2, PHP5.4, PHP 5.5, PHP 5.6, PHP 7.0, PHP 7.1, PHP 7.2 y PHP 7.3 . Por este motivo, desde IONOS solo podemos ofrecerte un soporte para dichas versiones con nuestro servicio PHP Soporte Ampliado.

Te recomendamos encarecidamente que utilices una versión de PHP actual. La versión PHP 8.0 te permite utilizar las aplicaciones más populares y eficaces sin que ocurran problemas de compatibilidad.

Fin del soporte de PHP 7.3: cómo proceder

A partir del 6.12.2021, la comunidad de PHP dejará de prestar soporte para la versión de PHP 7.3. Si tu sitio web alojado con IONOS usa PHP 7.3, recibirás un e-mail con información al respecto y advirtiéndote que solamente podrás seguir usando la versión 7.3 con el servicio adicional PHP Soporte Ampliado.

Hasta el 20.01.2022 este servicio es gratuito, por lo que te recomendamos actualizar tu versión de PHP a una de las versiones con soporte de la comunidad de PHP hasta el 19.01.2022. Esta actualización no tendrá ningún costo.

Nota

Nosotros no nos encargamos de actualizar tu versión de PHP. Si uno de tus dominios o subdominios funciona con la versión de PHP 7.3 y no realizas la actualización a una de las versiones con soporte de la comunidad PHP por tu propia cuenta, nos veremos obligados a facturarte el importe por PHP Soporte Ampliado a partir del 20.01.2022.

¿Por qué se me factura el servicio PHP Extended Support?

Tu espacio web tiene contenidos PHP en una versión antigua para la que ya no se presta soporte. Esto se debe a que, en tu cuenta IONOS, al menos un dominio o subdominio tienen una versión antigua de PHP configurada.

Comprobar y actualizar la versión de PHP

La configuración de tus dominios y subdominios se puede realizar de forma separada. Para saber qué versión de PHP utilizan tus dominios y cómo actualizarla, consulta este artículo.

Has actualizado la versión de PHP, pero te siguen facturando el servicio PHP Soporte Ampliado

¿Has actualizado la versión de PHP de tus dominios, pero sigues pagando por el servicio PHP Soporte Ampliado?

IONOS incluye una nota respecto a la cancelación de dicho servicio en la configuración de PHP que quizás se te pasó por alto. Si no necesitas el servicio PHP Soporte Ampliado, debes acceder a tu cuenta IONOS y seleccionar la opción para cancelar servicios adicionales. Si no, también puedes cancelar dicho servicio desde la página de configuración de PHP.

PHP Soporte Ampliado en contratos de WordPress Administrado

Nuestros expertos comprueban y actualizan regularmente tus sitios web con WordPress Administrado para asegurarse de que siempre son actuales y seguros. Se comprueba tanto la instalación WordPress como la versión de PHP utilizada. Por lo tanto, no necesitas preocuparte por actualizar tu versión de PHP porque nuestros expertos se encargan de ello.

Sin embargo, si te contactamos con respecto al uso de una versión desactualizada de PHP o si se te ha facturado el servicio PHP Soporte Ampliado, comprueba lo siguiente:

  • ¿Instalaste WordPress en la versión estándar? Probablemente se trate de una instalación de WordPress adicional o quizás cambiaste una instalación de WordPress Administrado a una instalación estándar.
  • ¿Configuraste un dominio o varios subdominios que no están vinculados con una instalación de WordPress Administrado, con un servicio de creación y edición de páginas web de IONOS o con un servicio externo?

Si deseas averiguar en qué versión de PHP están configurados tus dominios y cómo puedes actualizar dichas versiones, consulta este artículo.

¿Cuándo te informamos acerca del PHP Extended Support?

IONOS te informa siempre por e-mail y con al menos 4 semanas de antelación acerca de actualizaciones de las versiones de PHP Soporte Ampliado que están a punto de publicarse. Estas notificaciones se envían a la dirección de e-mail que tienes registrada en tu perfil. Comprobar o actualizar mi dirección de e-mail

Consejo: Puedes comprobar las notificaciones que te enviamos regularmente también desde tu cuenta IONOS al hacer clic en el símbolo de notificaciones arriba a la derecha. Comprobar notificaciones

¿Cuándo empieza el PHP Soporte Ampliado?

El servicio PHP Soporte Ampliado empieza justo cuando dejas de recibir soporte por parte de la Community de PHP.

Cómo comprobar si se necesita el servicio PHP Soporte Ampliado

Para comprobar si necesitas el servicio PHP Soporte Ampliado, sigue los siguientes pasos:

Si funciona todo como lo esperado, puedes cancelar el servicio PHP Soporte Ampliado a través de la Gestión de contratos. Encontrarás una descripción paso a paso sobre cómo cancelar la suscripción de este servicio adicional aquí.

¿Tus scripts ya no funcionan tras la actualización?

Cambia de nuevo a la versión PHP original y ponte en contacto con un experto, por favor. Aparentemente, tu aplicación no es compatible con otra versión de PHP sin realizar cambios previos en los scripts.

¿Te gustaría adaptar tus scripts a una versión actualizada de PHP, pero necesitas más tiempo?

En primer lugar, comprueba si realmente es necesaria una adaptación de los scripts. Si una adaptación fuera necesaria, te pedimos que por favor te pongas en contacto con nuestro servicio de Atención al Cliente.